CREATE TABLE hrt_profile_types_b] (
    PROFILE_TYPE_ID             NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    PROFILE_TYPE_CODE           VARCHAR2(120) ,
    PROFILE_STATUS_CODE         VARCHAR2(120) ,
    PROFILE_USAGE_CODE          VARCHAR2(120) ,
    DATE_FROM                   DATE              NOT NULL,
    DATE_TO                     DATE          ,
    PID_APPROVAL_FLAG           VARCHAR2(120) ,
    MODULE_ID                   VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    AUTO_CREATE_FLAG            VARCHAR2(120) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    SHOW_DESCRIPTION_FLAG       VARCHAR2(120) ,
    SHOW_RESPONSIBILITY_FLAG    VARCHAR2(120) ,
    SHOW_QUALIFICATION_FLAG     VARCHAR2(120) ,
    SHOW_CRITICALITY_FLAG       VARCHAR2(120) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    PROFILE_SYNC_FLAG           VARCHAR2(80)  ,
    SYNC_CRITICALITY_FLAG       VARCHAR2(80)  ,
    SYNC_DESCRIPTION_FLAG       VARCHAR2(80)  ,
    SYNC_QUALIFICATION_FLAG     VARCHAR2(80)  ,
    SYNC_RESPONSIBILITY_FLAG    VARCHAR2(80)  ,
    SYNC_RISK_FLAG              VARCHAR2(80)  ,
    OVERWRITE_SYNC_ITEM_FLAG    VARCHAR2(80)  ,
    SYNC_ATTACHMENT_FLAG        VARCHAR2(80)  ,
    SYNC_FLEXFIELD_FLAG         VARCHAR2(80)  
);
